Subject: Re: linux-next: build failure after merge of the scsi-mkp tree

From: John Garry <[email-masked]>
Date: Wed, 22 Jan 2020 09:51:18 +0000

On 22/01/2020 04:10, Stephen Rothwell wrote:
> Hi all,
> 
> After merging the scsi-mkp tree, today's linux-next build (x86_64
> allmodconfig) failed like this:
> 
> ERROR: "irq_create_affinity_masks" [drivers/scsi/hisi_sas/hisi_sas_v2_hw.ko] undefined!
> ERROR: "__irq_set_affinity" [drivers/scsi/hisi_sas/hisi_sas_v2_hw.ko] undefined!
> 

That's sloppy of me - I never build tested for this driver as a module.

And so these symbols are not exported.

> Caused by commit

Hi Martin,

>    3869a618eb88 ("scsi: hisi_sas: Use reply map for v2 hw")
> 

Could you please drop this patch from your branch/revert it? Sorry for 
the hassle.

I should have really talked with Thomas G about whether I should even 
reference the first symbol at all. I'll do that now.

> I have reverted that commit for today.
> 

Thanks,
John